Package org.eclipse.emf.cdo.security.ui

## Interface ISecurityManagementContext

- All Known Implementing Classes:
    `ISecurityManagementContext.Default`

      public interface ISecurityManagementContext

  An optional security-management context that may be provided as an adapter by the view part to which the "Manage Security" command is contributed.
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ISecurityManagementContext.Default` | A default implementation of a `security management context`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ISecurityManagementContext` | `DEFAULT` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOView` | `connect​(CDOSession session)` | Obtains a view in which to open the security resource for editing.
    `void` | `disconnect​(CDOView view)` | Releases a `view` previously obtained from this context.
    `CDOResource` | `getSecurityResource​(CDOView view)` | Obtains the resource containing the security model for presentation in the Security Management editor.

- - ### Field Detail

    - #### DEFAULT

          static final ISecurityManagementContext DEFAULT

  - ### Method Detail

    - #### connect

          CDOView connect​(CDOSession session)

      Obtains a view in which to open the security resource for editing. If at all possible, this should be a writable transaction. If necessary, implementors are welcome to open a new session logged in as the Administrator for this purpose.
      See Also:
        `getSecurityResource(CDOView)`, `disconnect(CDOView)`

    - #### disconnect

          void disconnect​(CDOView view)

      Releases a `view` previously obtained from this context. The caller must not attempt to use the `view` after this point because in all likelihood it will be closed.
      See Also:
        `connect(CDOSession)`

    - #### getSecurityResource

          CDOResource getSecurityResource​(CDOView view)

      Obtains the resource containing the security model for presentation in the Security Management editor.